| Flutter iOS Embedder |

Instance Methods | List of all members
FlutterPlatformViewSemanticsContainer Class Reference

`#import <SemanticsObject.h>`

Inheritance diagram for FlutterPlatformViewSemanticsContainer:

## Instance Methods
(instancetype) | - initWithBridge:uid:
(instancetype) | - initWithBridge:uid:platformView:
Instance Methods inherited from SemanticsObject
(BOOL) | - isAccessibilityBridgeAlive
(void) | - setSemanticsNode:
(void) | - replaceChildAtIndex:withChild:
(BOOL) | - nodeWillCauseLayoutChange:
(BOOL) | - nodeWillCauseScroll:
(BOOL) | - nodeShouldTriggerAnnouncement:
(void) | - collectRoutes:
(NSString *) | - routeName
(BOOL) | - onCustomAccessibilityAction:
(void) | - accessibilityBridgeDidFinishUpdate
((unavailable("Use initWithBridge instead") | - __attribute__
(BOOL) | - accessibilityScrollToVisible
(BOOL) | - accessibilityScrollToVisibleWithChild:
(id) | - _accessibilityHitTest:withEvent:

## Additional Inherited Members
Properties inherited from SemanticsObject
int32_t | uid
SemanticsObject * | parent
fml::WeakPtr< flutter::AccessibilityBridgeIos > | bridge
flutter::SemanticsNode | node
BOOL | hasChildren
NSArray< SemanticsObject * > * | children
NSArray< SemanticsObject * > * | childrenInHitTestOrder
id | nativeAccessibility

## Detailed Description

Designated to act as an accessibility container of a platform view.

This object does not take any accessibility actions on its own, nor has any accessibility label/value/trait/hint... on its own. The accessibility data will be handled by the platform view.

See also:

- `SemanticsObject` for the other type of semantics objects.
- `FlutterSemanticsObject` for default implementation of `SemanticsObject`.

Definition at line 169 of file SemanticsObject.h.

## Method Documentation

## ◆ initWithBridge:uid:

- (instancetype) initWithBridge: |  | (fml::WeakPtr< flutter::AccessibilityBridgeIos >) | bridge
uid: |  | (int32_t) | NS_UNAVAILABLE

Reimplemented from SemanticsObject.

References SemanticsObject::uid.

## ◆ initWithBridge:uid:platformView:

- (instancetype) initWithBridge: |  | (fml::WeakPtr< flutter::AccessibilityBridgeIos >) | bridge
uid: |  | (int32_t) | uid
platformView: |  | (FlutterTouchInterceptingView *) | NS_DESIGNATED_INITIALIZER

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/SemanticsObject.h